Bug 712927 - The latest rubygems makes problem to install Builder
The latest rubygems makes problem to install Builder
Product: Fedora
Classification: Fedora
Component: rubygem-builder (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: 716048 (view as bug list)
Depends On:
Blocks: 716048
  Show dependency treegraph
Reported: 2011-06-13 11:59 EDT by Vít Ondruch
Modified: 2011-11-25 09:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-25 09:48:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2011-06-13 11:59:07 EDT
Description of problem:
I am afraid that RubyGems in F15 and rawhide makes rubygem-builder to FTBFS [1]. While there is probably some documentation problem in builder, that was not an issue for RubyGems 1.3.7 from previous Fedora versions.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=3128241
Comment 1 Mamoru TASAKA 2011-06-13 17:52:25 EDT
Apparently this is a bug in builder.

Note that even with rubygems 1.3.7, installing builder causes rdoc generation error:
ERROR:  While generating documentation for builder-2.1.2
... MESSAGE:   Unhandled special: Special: type=17, text="<!-- HI -->"
... RDOC args: --ri --op /builddir/build/BUILDROOT/rubygem-builder-2.1.2-5.fc15.noarch/usr/lib/ruby/gems/1.8/doc/builder-2.1.2/ri --title Builder -- Easy XML Building --main README --line-numbers --quiet lib CHANGES Rakefile README doc/releases/builder-1.2.4.rdoc doc/releases/builder-2.0.0.rdoc doc/releases/builder-2.1.1.rdoc --title builder-2.1.2 Documentation

However old rubygems had a _bug_ that rdoc generation failure did not cause installation abort, which were fixed in 1.7.2 and 1.8.5.

By the way, I always recommend to use "gem install -V" to check what is actually occuring and what actually failed.
Comment 2 Mamoru TASAKA 2011-06-13 17:56:30 EDT
You can workaround rdoc generation failure by adding "--no-ri" option, however anyway builder should be fixed. By the way the latest builder is 3.0.0, not 2.1.2.
Comment 3 Vít Ondruch 2011-06-14 02:09:19 EDT
As I noted, I know there is documentation problem, but it is not so severe to break the installation IMO. Actually the gem is installed, just the return code states opposite. 

But since this would be probably better to discuss with upstream, don't you know, by a chance, some issue number or commit which changes the behavior?
Comment 4 Vít Ondruch 2011-07-20 07:52:49 EDT
I have reported error upstream: https://github.com/rubygems/rubygems/issues/135
Comment 5 Vít Ondruch 2011-07-20 07:54:06 EDT
BTW the installation works with latest RDoc gem installed.
Comment 6 Vít Ondruch 2011-11-25 09:16:32 EST
*** Bug 716048 has been marked as a duplicate of this bug. ***
Comment 7 Vít Ondruch 2011-11-25 09:48:37 EST
For now, I am just going to ignore the gem return value. The result will be same as it always was (at least from FC8) and the package will build again.

There was other options like include rubygem-rdoc, or do not generate RI documentation etc, but this was the most straight forward. Hopefully Builder >= 3 will fix this issues, but there is not yet the right time to push it forward, since it is Rails 3.0 dependency.

Note You need to log in before you can comment on or make changes to this bug.